Manage the Symitar Combined Authentication and Authorization Service (ECAAS).
Operations
authenticate
Performs authentication.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
NamespacestringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/ecaa/authenticatePOST /nexum/627/persistent/ecaa/authenticate HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Namespace": "string",
"AuthenticationCredentials": {
"LDAPCredentials": {
"UserId": "string",
"Password": "string"
},
"KerberosCredentials": {
"kerberosTicket": 0
},
"IMSCredentials": {
"samlAssertion": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}authenticateWithAuthorization
Authenticates with authorization.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
NamespacestringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/ecaa/authenticateWithAuthorizationPOST /nexum/627/persistent/ecaa/authenticateWithAuthorization HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Namespace": "string",
"AuthenticationCredentials": {
"LDAPCredentials": {
"UserId": "string",
"Password": "string"
},
"KerberosCredentials": {
"kerberosTicket": 0
},
"IMSCredentials": {
"samlAssertion": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}getPrincipals
Retrieves principals.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
NamespacestringoptionalPrivilegeDemandstring[]optionalPrincipalstring[]optionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/ecaa/getPrincipalsPOST /nexum/627/persistent/ecaa/getPrincipals HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!",
"Version_1": {}
},
"Namespace": "string",
"PrivilegeDemand": [
"string"
],
"Principal": [
"string"
],
"nxAttributes": {
"customFields": {}
}
}initKerberosAuthentication
Initializes Kerberos authentication.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
DomainstringrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/ecaa/initKerberosAuthenticationPOST /nexum/627/persistent/ecaa/initKerberosAuthentication HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Domain": "string",
"nxAttributes": {
"customFields": {}
}
}authorizeSym
Authorizes Symmetric Key.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
NamespacestringrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/ecaa/authorizeSymPOST /nexum/627/persistent/ecaa/authorizeSym HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!",
"Version_1": {}
},
"Namespace": "string",
"nxAttributes": {
"customFields": {}
}
}changeSymitarPassword
Changes Symitar password.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
NewPasswordstringrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/ecaa/changeSymitarPasswordPOST /nexum/627/persistent/ecaa/changeSymitarPassword HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!",
"Version_1": {}
},
"NewPassword": "string",
"nxAttributes": {
"customFields": {}
}
}